
export default {

  computed: {
  },

  methods: {
    // --------------------- 组件内部方法 begin ------------------//
    handleInputEvent(val) {
      this.$emit('input', val);
      this.$emit('outOperation', val);
    },
    handleChangeEvent(val) {
      this.$emit('input', val);
      this.$emit('outOperation', val);
    },
    handleBlurEvent(val) {
      this.$emit('input', val);
      this.$emit('outOperation', val);
    },
    handleFocusEvent(val) {
      this.$emit('input', val);
      this.$emit('outOperation', val);
    },
    handleClearEvent(val) {
      this.$emit('input', val);
      this.$emit('outOperation', val);
    },
    handleExpandchangeEvent() {},
    // --------------------- 组件内部方法 end ------------------//

    // --------------------- 事件处理 begin ------------------//

    // --------------------- 以上为组件支持外部调用的API方法 end ------------------//

  },
};
